<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>RESIF: RESIFWS: PH5-dataselect Docs: v1</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
<link rel="stylesheet" href="./static/resifws.css"/>
<a href="./local=en"> <img src="./static/images/en.png" alt="Français - Anglais"> </a>
</head>
<body>
<p style="text-align:center;"> <img src="./static/images/logoresif.png" alt="logoresif" width="341" height="95"></p>
<h1 id="webservice-ph5-dataselect">Webservice ph5-dataselect</h1>
<h2 id="description">Description</h2>
<p>Ce service donne accès aux données sismiques archivées au format PH5.</p>
<h2 id="formats-de-sorties-disponibles">Formats de sorties disponibles</h2>
<ul>
<li>miniSEED</li>
<li>SAC binary</li>
<li>GEOCSV (TSPAIR)</li>
</ul>
<h2 id="utilisation-de-la-requête">Utilisation de la requête</h2>
<pre><code>/query? (channel-options) (date-range-options) [output-options] [filter-options] [nodata=404]

où :

channel-options      ::  (net=&lt;network&gt;) (sta=&lt;station&gt;) (loc=&lt;location&gt;) (cha=&lt;channel&gt;)
date-range-options   ::  (starttime=&lt;date|durée&gt;) (endtime=&lt;date|durée&gt;)
output-options       ::  [format=&lt;geocsv|mseed|sac&gt;]
filter-options       ::  [decimate=&lt;2-16&gt;] [reduction=&lt;number&gt;]

(..) requis
[..] optionnel</code></pre>
<h2 id="exemples-de-requêtes">Exemples de requêtes</h2>
<p><a href="http://ph5ws.resif.fr/fdsnws/dataselect/1/query?net=3C&station=N02&channel=DPN&start=2019-11-13T12:00:00&end=2019-11-13T12:50:00&nodata=404&format=sac">http://ph5ws.resif.fr/fdsnws/dataselect/1/query?net=3C&amp;station=N02&amp;channel=DPN&amp;start=2019-11-13T12:00:00&amp;end=2019-11-13T12:50:00&amp;nodata=404&amp;format=sac</a></p>
<h2 id="descriptions-détaillées-de-chaque-paramètre-de-la-requête">Descriptions détaillées de chaque paramètre de la requête</h2>
<h3 id="choix-du-capteur">Choix du capteur</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 7%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">net[work]</td>
<td style="text-align: left;">FR</td>
<td style="text-align: left;">Nom du réseau sismique. Accepte les jokers et les listes.</td>
</tr>
<tr class="even">
<td style="text-align: left;">sta[tion]</td>
<td style="text-align: left;">CIEL</td>
<td style="text-align: left;">Nom de la station. Accepte les jokers et les listes.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">loc[ation]</td>
<td style="text-align: left;">00</td>
<td style="text-align: left;">Code de localisation. Utilisez loc=-- pour les codes de localisations vides. Accepte les jokers et les listes.</td>
</tr>
<tr class="even">
<td style="text-align: left;">cha[nnel]</td>
<td style="text-align: left;">HHZ</td>
<td style="text-align: left;">Code de canal. Accepte les jokers et les listes.</td>
</tr>
</tbody>
</table>
<h4 id="jokers-et-listes-darguments">Jokers et listes d’arguments</h4>
<ul>
<li><p>Jokers : le point d’interrogation <strong>?</strong> représente n’importe quel caractère unique, alors que l’astérisque <strong>*</strong> représente zéro caractère ou plus.</p></li>
<li><p>Listes : plusieurs éléments peuvent être récupérés à l’aide d’une liste séparée par des virgules. Les jokers peuvent être inclus dans la liste.</p></li>
</ul>
<p>Par exemple, pour le code des canaux : channel=EH?,BHZ</p>
<h3 id="choix-de-lintervalle-de-temps">Choix de l’intervalle de temps</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 7%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">start[time]</td>
<td style="text-align: left;">2010-01-10T00:00:00</td>
<td style="text-align: left;">Sélectionne les données à partir de l’heure spécifiée incluse.</td>
</tr>
<tr class="even">
<td style="text-align: left;">end[time]</td>
<td style="text-align: left;">2011-02-11T01:00:00</td>
<td style="text-align: left;">Sélectionne les données avant l’heure spécifiée incluse.</td>
</tr>
</tbody>
</table>
<p>La définition de l’intervalle de temps avec starttime et endtime peut prendre différentes formes :</p>
<ul>
<li>une date, par exemple starttime=2015-08-12T01:00:00</li>
<li>une durée en secondes, par exemple endtime=7200</li>
<li>le mot-clé “currentutcday” qui signifie minuit de la date du jour (UTC), par exemple starttime=currentutcday</li>
</ul>
<h3 id="options-de-traitements-des-signaux-temporels">Options de traitements des signaux temporels</h3>
<table>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
<th style="text-align: left;">Valeur par défaut</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">reduction</td>
<td style="text-align: left;">1.5</td>
<td style="text-align: left;">Réduis la vitesse du signal par une constante.</td>
<td style="text-align: left;">aucune</td>
</tr>
<tr class="even">
<td style="text-align: left;">deci[mate]</td>
<td style="text-align: left;">2.0</td>
<td style="text-align: left;">Facteur de décimation.</td>
<td style="text-align: left;">aucune</td>
</tr>
</tbody>
</table>
<h3 id="options-de-sortie">Options de sortie</h3>
<table style="width:100%;">
<colgroup>
<col style="width: 9%" />
<col style="width: 7%" />
<col style="width: 77%" />
<col style="width: 6%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
<th style="text-align: left;">Valeur par défaut</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">format</td>
<td style="text-align: left;">sac</td>
<td style="text-align: left;">Format de sortie du fichier : geocsv, mseed, sac</td>
<td style="text-align: left;">mseed</td>
</tr>
<tr class="even">
<td style="text-align: left;">nodata</td>
<td style="text-align: left;">404</td>
<td style="text-align: left;">Code d’état HTTP qui est renvoyé lorsqu’il n’y a pas de données (204 or 404)</td>
<td style="text-align: left;">204</td>
</tr>
</tbody>
</table>
<h2 id="requêtes-http-post">Requêtes HTTP POST</h2>
<p>La forme générale d’une requête POST est un ensemble de paires parameter=value, une par ligne, suivie d’un nombre arbitraire de canaux et d’une fenêtre temporelle optionnelle :</p>
<p>parameter=&lt;value&gt;<br />
parameter=&lt;value&gt;<br />
parameter=&lt;value&gt;<br />
Net Sta Loc Chan [StartTime EndTime]<br />
Net Sta Loc Chan [StartTime EndTime]<br />
…</p>
<p>La fenêtre temporelle peut être précisée globalement :</p>
<p>…<br />
start=2020-10-01T00:00:00<br />
end=2020-10-01T00:01:00<br />
Net1 Sta1 Loc1 Chan1<br />
Net2 Sta2 Loc2 Chan2<br />
…</p>
<p>ou par ligne :</p>
<p>…<br />
Net1 Sta1 Loc1 Chan1 2020-10-01T00:00:00 2020-10-01T00:01:00<br />
Net2 Sta2 Loc2 Chan2 2020-10-02T00:00:00 2020-10-02T00:02:00<br />
…</p>
<p>La fenêtre temporelle globale peut être utilisée conjointement avec des fenêtres temporelles individuelles. Si aucune information temporelle n’est précisée, la période maximale de disponibilité est utilisée.</p>
<h2 id="formats-des-dates-et-des-heures">Formats des dates et des heures</h2>
<pre><code>YYYY-MM-DDThh:mm:ss[.ssssss] ex. 1997-01-31T12:04:32.123
YYYY-MM-DD ex. 1997-01-31 (une heure de 00:00:00 est supposée)

avec :

YYYY    :: quatre chiffres de l&#39;année
MM      :: deux chiffres du mois (01=Janvier, etc.)
DD      :: deux chiffres du jour du mois (01 à 31)
T       :: séparateur date-heure
hh      :: deux chiffres de l&#39;heure (00 à 23)
mm      :: deux chiffres des minutes (00 à 59)
ss      :: deux chiffres des secondes (00 à 59)
ssssss  :: un à six chiffres des microsecondes en base décimale (0 à 999999)</code></pre>
</body>
</html>
